@echo off
setlocal enabledelayedexpansion

REM Establecer directorio base como el de este .bat
set "CUR_DIR=%~dp0"
cd /d "%CUR_DIR%"



REM Definir rutas relativas basadas en la estructura dada

pushd "%CUR_DIR%\.."
set "PROJECT_DIR=%CD%"
popd

set "BAS_DIR=%PROJECT_DIR%\graficos\mc\bas"


set "BIN_DIR=%PROJECT_DIR%\binarios"

set "TXT_DIR=%PROJECT_DIR%\binarios\txts"
set "TOOLS_PY=%PROJECT_DIR%\tools\py"
set "MC_ZXP=%PROJECT_DIR%\graficos\mc\zxp"

REM Crear carpetas si no existen
if not exist "%BIN_DIR%" mkdir "%BIN_DIR%"
if not exist "%TXT_DIR%" mkdir "%TXT_DIR%"
if not exist "%BAS_DIR%" mkdir "%BAS_DIR%"


python %TOOLS_PY%\ay2bin.py
